<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePresupuestosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('presupuestos', function (Blueprint $table) {
            $table->id();
            $table->string('document_number', 100);
            $table->integer('cliente_id')->nullable();
            $table->integer('vendedor_id')->nullable();
            $table->date('date_at')->nullable();
            $table->string('delivery_term')->nullable();
            $table->string('terms_of_sale')->nullable();
            $table->string('offer_days')->nullable();
            $table->string('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('presupuestos');
    }
}
